## org.omg.TimeBase
Class UtcT

    java.lang.Object
      |
      +--org.omg.TimeBase.UtcT

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class UtcT
extends java.lang.Object
implements IDLEntity

Struct definition : UtcT

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`short` `inacchi` Struct member inacchi
`int` `inacclo` Struct member inacclo
`short` `tdf` Struct member tdf
`long` `time` Struct member time

Constructor Summary
`UtcT()` Default constructor
`UtcT(long time, int inacclo, short inacchi, short tdf)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### time

    public long time

  Struct member time

### inacclo

    public int inacclo

  Struct member inacclo

### inacchi

    public short inacchi

  Struct member inacchi

### tdf

    public short tdf

  Struct member tdf

Constructor Detail

### UtcT

    public UtcT()

  Default constructor

### UtcT

    public UtcT(long time,
                int inacclo,
                short inacchi,
                short tdf)

  Constructor with fields initialization
  Parameters:
    `time` - time struct member
    `inacclo` - inacclo struct member
    `inacchi` - inacchi struct member
    `tdf` - tdf struct member